package com.myoa.engineering.crawl.shopping.service.slack;

import com.myoa.engineering.crawl.shopping.configuration.slack.properties.SlackSecretProperties;
import com.slack.api.methods.request.chat.ChatPostMessageRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class SlackMessageBlockService {
    private static final String SLACK_PROPERTIES_UNIT_NAME = "shopping-crawler";

    private final SlackSecretProperties.SlackSecretPropertiesUnit slackSecretProperties;

    public SlackMessageBlockService(SlackSecretProperties slackSecretProperties) {
        this.slackSecretProperties = slackSecretProperties.find(SLACK_PROPERTIES_UNIT_NAME);
    }

    public ChatPostMessageRequest.ChatPostMessageRequestBuilder generateMessage() {
        return ChatPostMessageRequest.builder()
                                     .channel(slackSecretProperties.getChannel())
                                     .username(slackSecretProperties.getUsername());
    }
}
