package com.myoa.engineering.crawl.shopping.service.slack;

import com.slack.api.methods.MethodsClient;
import com.slack.api.methods.request.chat.ChatPostMessageRequest;
import com.slack.api.methods.response.chat.ChatPostMessageResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Service;

@Slf4j
@Profile("!local")
@Service
public class UserNotifyServiceImpl implements UserNotifyService {


    private final MethodsClient methodsClient;

    public UserNotifyServiceImpl(MethodsClient methodsClient) {
        this.methodsClient = methodsClient;
    }

    @Override
    public ChatPostMessageResponse notify(ChatPostMessageRequest request) {
        try {
            return methodsClient.chatPostMessage(request);
        } catch (Exception e) {
            log.warn("Failed. message: {}", request, e);
            ChatPostMessageResponse response = new ChatPostMessageResponse();
            response.setOk(false);
            return response;
        }
    }


}
