package com.myoa.engineering.crawl.shopping.util;

import com.slack.api.model.block.DividerBlock;
import com.slack.api.model.block.HeaderBlock;
import com.slack.api.model.block.SectionBlock;
import com.slack.api.model.block.composition.MarkdownTextObject;
import com.slack.api.model.block.composition.PlainTextObject;

public final class SlackMessageUtils {

    private SlackMessageUtils() {
    }

    public static HeaderBlock ofHeader(String message) {
        return HeaderBlock.builder()
                          .text(PlainTextObject.builder()
                                               .text(message)
                                               .build())
                          .build();
    }

    public static DividerBlock ofDivider() {
        return DividerBlock.builder().build();
    }

    public static SectionBlock ofSection(String message) {
        return SectionBlock.builder()
                           .text(MarkdownTextObject.builder()
                                                   .text(message)
                                                   .build())
                           .build();
    }
}
